package com.ywt.outpatient.domain.entity.center;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * 会诊报告
 */
@Entity
@Table(name = "treatment_report")
public class TreatmentReport {
    @Id
    private Integer id;

    /**
     * 患者姓名
     */
    @Column(name = "name", nullable = false)
    private String name;

    /**
     * 患者年龄
     */
    @Column(name = "age", nullable = false)
    private Integer age;

    /**
     * 患者性别
     */
    @Column(name = "sex", nullable = false)
    private Integer sex;

    /**
     * 申请单位
     */
    @Column(name = "from_hospital", nullable = false)
    private String fromHospital;

    /**
     * 申请医生Id
     */
    @Column(name = "from_doctor_id", nullable = false)
    private Integer fromDoctorId;

    /**
     * 申请医生姓名
     */
    @Column(name = "from_doctor_name", nullable = false)
    private String fromDoctorName;

    /**
     * 申请医生职称
     */
    @Column(name = "from_doctor_title", nullable = false)
    private String fromDoctorTitle;

    /**
     * 会诊单位
     */
    @Column(name = "to_hospital", nullable = false)
    private String toHospital;

    /**
     * 会诊专家
     */
    @Column(name = "to_doctor_name", nullable = false)
    private String toDoctorName;

    /**
     * 会诊专家Id
     */
    @Column(name = "to_doctor_id", nullable = false)
    private Integer toDoctorId;

    /**
     * 会诊专家职称
     */
    @Column(name = "to_doctor_title", nullable = false)
    private String toDoctorTitle;

    /**
     * 初步诊断
     */
    @Column(name = "diagnosis", nullable = false)
    private String diagnosis;

    /**
     * 会诊意见
     */
    @Column(name = "suggestion", nullable = false)
    private String suggestion;

    /**
     * 医生签名（图片地址）
     */
    @Column(name = "sign", nullable = false)
    private String sign;

    /**
     * 医生签名Id
     */
    @Column(name = "sign_id", nullable = false)
    private Integer signId;

    /**
     * 创建时间
     */
    @Column(name = "create_time", nullable = false)
    private Date createTime;

    /**
     * 是否删除（标识物理删除）
     */
    @Column(name = "deleted", nullable = false)
    private Boolean deleted;

    /**
     * 患者Id
     */
    @Column(name = "patient_id", nullable = false)
    private Integer patientId;

    /**
     * 用户id
     */
    @Column(name = "user_id", nullable = false)
    private Integer userId;

    /**
     * 文件key
     */
    @Column(name = "file_key")
    private String fileKey;

    /**
     * 状态
     */
    @Column(name = "status", nullable = false)
    private Integer status;

    /**
     * 订单Id
     */
    @Column(name = "order_id", nullable = false)
    private Integer orderId;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    public String getFromHospital() {
        return fromHospital;
    }

    public void setFromHospital(String fromHospital) {
        this.fromHospital = fromHospital;
    }

    public Integer getFromDoctorId() {
        return fromDoctorId;
    }

    public void setFromDoctorId(Integer fromDoctorId) {
        this.fromDoctorId = fromDoctorId;
    }

    public String getFromDoctorName() {
        return fromDoctorName;
    }

    public void setFromDoctorName(String fromDoctorName) {
        this.fromDoctorName = fromDoctorName;
    }

    public String getFromDoctorTitle() {
        return fromDoctorTitle;
    }

    public void setFromDoctorTitle(String fromDoctorTitle) {
        this.fromDoctorTitle = fromDoctorTitle;
    }

    public String getToHospital() {
        return toHospital;
    }

    public void setToHospital(String toHospital) {
        this.toHospital = toHospital;
    }

    public String getToDoctorName() {
        return toDoctorName;
    }

    public void setToDoctorName(String toDoctorName) {
        this.toDoctorName = toDoctorName;
    }

    public Integer getToDoctorId() {
        return toDoctorId;
    }

    public void setToDoctorId(Integer toDoctorId) {
        this.toDoctorId = toDoctorId;
    }

    public String getToDoctorTitle() {
        return toDoctorTitle;
    }

    public void setToDoctorTitle(String toDoctorTitle) {
        this.toDoctorTitle = toDoctorTitle;
    }

    public String getDiagnosis() {
        return diagnosis;
    }

    public void setDiagnosis(String diagnosis) {
        this.diagnosis = diagnosis;
    }

    public String getSuggestion() {
        return suggestion;
    }

    public void setSuggestion(String suggestion) {
        this.suggestion = suggestion;
    }

    public String getSign() {
        return sign;
    }

    public void setSign(String sign) {
        this.sign = sign;
    }

    public Integer getSignId() {
        return signId;
    }

    public void setSignId(Integer signId) {
        this.signId = signId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Boolean getDeleted() {
        return deleted;
    }

    public void setDeleted(Boolean deleted) {
        this.deleted = deleted;
    }

    public Integer getPatientId() {
        return patientId;
    }

    public void setPatientId(Integer patientId) {
        this.patientId = patientId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getFileKey() {
        return fileKey;
    }

    public void setFileKey(String fileKey) {
        this.fileKey = fileKey;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getOrderId() {
        return orderId;
    }

    public void setOrderId(Integer orderId) {
        this.orderId = orderId;
    }
}
